Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006505 [JEDI VCL] 00 JVCL Components feature N/A 2016-03-31 15:12 2016-08-04 21:00
Reporter fschenckel View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006505: Update for TjvCharMap
Description I've slightly enhanced the TjvCharmap component. This can be of interest for other people.

I've added the following properties:

- ShowASCIISymboles
     Shows the ASCII symboles instead of the char iself (NUL, SOH, STX etc...) for the char range 0..31
- ShowASCIISymbolsDescription
     Shows an associated description in the zoom panel.
- AutoHidePanel
     Zoom panel was not automatically hidden when component loses the focus. This property hides it automatically when focus is lost.
Additional Information I have uploaded the following files:

The modified jvCharmap.pas unit.
An sample project using the new properties.
A picture of the sample project in action
Tags No tags attached.
Attached Files png file icon CharMap.png [^] (42,019 bytes) 2016-03-31 15:12
zip file icon CharMap.zip [^] (8,671 bytes) 2016-03-31 15:12
? file icon JvCharMap.pas [^] (49,729 bytes) 2016-03-31 15:13
? file icon JvCharMap_New.pas [^] (52,502 bytes) 2016-04-01 11:48
zip file icon CharMap_New.zip [^] (21,568 bytes) 2016-04-01 11:48
? file icon JvCharMap_New2.pas [^] (52,631 bytes) 2016-04-04 10:21

- Relationships

-  Notes
(0021278)
fschenckel (reporter)
2016-04-01 11:51

Further changes by adding a custom range where it's possible to define our own range but also decide what will be displayed for this range.

jvCharmap.pas and sample project updated.
Sorry I couldn't delete the old one, so the last ones has the _New suffix.
(0021281)
fschenckel (reporter)
2016-04-04 10:21

Sorry for thes iteration, but I found a bug when displaying customRange ==> last char was missing.

jvCharmap_New2 is the newest file...
(0021331)
AHUser (developer)
2016-08-04 21:00

Added to master branch.

https://github.com/project-jedi/jvcl/commit/6a212f390d1784f43e397605dc71f4508fadef9b [^]

- Issue History
Date Modified Username Field Change
2016-03-31 15:12 fschenckel New Issue
2016-03-31 15:12 fschenckel File Added: CharMap.png
2016-03-31 15:12 fschenckel File Added: CharMap.zip
2016-03-31 15:13 fschenckel File Added: JvCharMap.pas
2016-04-01 11:48 fschenckel File Added: JvCharMap_New.pas
2016-04-01 11:48 fschenckel File Added: CharMap_New.zip
2016-04-01 11:51 fschenckel Note Added: 0021278
2016-04-04 10:21 fschenckel File Added: JvCharMap_New2.pas
2016-04-04 10:21 fschenckel Note Added: 0021281
2016-08-04 21:00 AHUser Note Added: 0021331
2016-08-04 21:00 AHUser Status new => resolved
2016-08-04 21:00 AHUser Fixed in Version => Daily / GIT
2016-08-04 21:00 AHUser Resolution open => fixed
2016-08-04 21:00 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker